object ScalaDemo4 {
  def main(args: Array[String]): Unit = {
    //判断集合是否相等
    //有时候不仅想判断两个集合中的元素是否全部相等，而且还要求这个两个集合元素的迭代顺序保持一致，此时，就可以通过sameElements()方法来实现
    //sameElements()方法的功能是：判断集合所包含的元素及元素的迭代顺序是否一致
    val i1 = Iterable("A","B","C")
    //判断i1和新创建的集合是否相等
    println(i1.sameElements(Iterable("A","B","C")));
    println(i1.sameElements(Iterable("A","C","B")));
    val i2 = Iterable("A","B","C","D")
    println(i1.sameElements(i2))
  }
}